﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace App5
{
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Data;

    public class BooleanToVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (!(value is bool && targetType == typeof(Visibility)))
            {
                return value;
            }

            if (parameter != null && string.Equals(parameter.ToString(), "invert", StringComparison.OrdinalIgnoreCase))
            {
                value = !(bool)value;
            }

            var returnValue = (bool)value ? Visibility.Visible : Visibility.Collapsed;

            return returnValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            if (value is Visibility)
            {
                if (parameter != null && string.Equals(parameter.ToString(), "invert", StringComparison.OrdinalIgnoreCase))
                {
                    return (Visibility)value == Visibility.Collapsed;
                }

                return (Visibility)value == Visibility.Visible;
            }

            return value;
        }
    }
}
